Skip to main content
GET
/
gst
/
analytics
/
gstr-2b-reconciliation
Reconcile GSTR-2B Job Status
curl --request GET \
  --url https://test-api.sandbox.co.in/gst/analytics/gstr-2b-reconciliation
import requests

url = "https://test-api.sandbox.co.in/gst/analytics/gstr-2b-reconciliation"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://test-api.sandbox.co.in/gst/analytics/gstr-2b-reconciliation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "transaction_id": "d3d19997-c48a-4867-95b9-5a77c3567098",
  "data": {
    "@entity": "in.co.sandbox.gst.analytics.gstr-2b_reconciliation.job",
    "job_id": "d3d19997-c48a-4867-95b9-5a77c3567098",
    "gstin": "24EGCAZ2081S7Z4",
    "year": 2023,
    "month": 12,
    "filing_preference": "monthly",
    "reconciliation_criteria": "strict",
    "status": "succeeded",
    "reconciliation_report_url": "https://in-co-sandbox-gst-test-storage.s3.ap-south-1.amazonaws.com/gstr-2b-reconciliation/gstr-2b-reconciliation-report.xlsx",
    "created_at": 123,
    "updated_at": 123
  },
  "timestamp": 1777273236000
}
When the job succeeds, this endpoint returns a signed URL for the reconciliation report workbook.

Reconciliation report schema

Use this workbook schema to inspect or validate the downloaded report.

View reconciliation report schema

If the job fails validation, use the validation_report_url from the poll response to review the issues in the uploaded files.

Headers

authorization
string
x-api-key
string
x-api-version
string
default:1.0.0

Query Parameters

job_id
string
required

Job id of the created job

Response

default - application/json

200 Reconciliation Job Done

code
integer
transaction_id
string
data
object
timestamp
integer